<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.PatrolInspectionEventMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.PatrolInspectionEvent">
        <id column="id" property="id" />
        <result column="personnel_id" property="personnelId" />
        <result column="personnel_name" property="personnelName" />
        <result column="event_name" property="eventName" />
        <result column="event_type" property="eventType" />
        <result column="event_level" property="eventLevel" />
        <result column="event_category" property="eventCategory" />
        <result column="event_image" property="eventImage" />
        <result column="handle_status" property="handleStatus" />
        <result column="device_id" property="deviceId" />
        <result column="handle_name" property="handleName" />
        <result column="handle_time" property="handleTime" />
        <result column="handle_image" property="handleImage" />
        <result column="handle_content" property="handleContent" />
        <result column="remark" property="remark" />
        <result column="tenant_id" property="tenantId" />
        <result column="dept_id" property="deptId" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
    </resultMap>

</mapper>
